Сообщения без ответов | Активные темы Текущее время: 02 июл 2022, 10:24



Эта тема закрыта, вы не можете редактировать и оставлять сообщения в ней.  [ Сообщений: 77 ]  Страница 1, 2, 3, 4, 5 ... 8  »
Elite-Board 4 
Автор Сообщение
Администратор
Аватара пользователя

Зарегистрирован: 20 сен 2010, 21:15
Сообщения: 2661
Аватара пользователя

В новой версии не много новый функций, фактически, это то, что я планировал выложить как минорные обновления, но отложил из-за показавшего себя неэффективным механизма лицензирования. Теперь для работы скрипта требуется PHP 7.1, 7.2, 7.3 или 7.4 и декодирующая библиотека ioncube Loader. Эта комбинация есть практических на всех хостингах и практически всегда она включена по умолчанию. Но на всякий случай проверьте, подходит ли Ваш сервер под требования Elite-Board 4 с помощью вот этого скрипта. Скрипт нужно загрузить на сайт и запустить в браузере. Если библиотека ioncube не установлена, скорей всего её можно просто включить в панели управления хостингом или VPS. Как это сделать в популярных панелях управления описано в инструкции. Сложность может возникнуть на VPS без панели управления. Этот случай тоже описан в инструкции, для установки потребуется root доступ по ssh.

Список изменений
  • Изменён метод компиляции файлов, для работы скрипта теперь требуется PHP 7.1-7.4 и ionCube Loader.
  • Добавлена recaptcha v3
  • В сеомодуле помимо тайтлов и метатегов добавлена возможность менять заголовки h1.
  • Порядок отображения фотографий в объявлении теперь можно менять перетаскиванием.
  • Сайтмап с учетом региональных поддоменов. В сайтмапе базового домена отсутствуют ссылки в региональных поддоменах, а в сайтмапах поддоменов генерируются только ссылки своего региона. Отображаются ссылки только на те рубрики и регионы, в которых есть объявления.
  • Реализована порционная загрузка в модуле импорта csv. Ссылки на загруженные объявления появляются по мере импорта файла, их можно выборочно удалять прямо во время импорта. Запоминается схема сопоставления полей последнего импортированного файла.
  • Реализован порционный механизм создания и развертывания резервных копий. Модуль архивации теперь может работать с большими базами.
  • Добавлена ссылка на установку PWA приложения.
  • Правильное выделение строк в таблицах данных в админке.
  • Комментарии для статей.
  • Альтернативный модуль авторизации через соцсети, поддерживаются: VK, Google, Facebook, Одноклассники, Яндекс
  • Модули "быстрых" страниц: Яндекс Турбо и Google AMP
  • Оптимизация и очень хороший прирост производительности на базах с большим количеством рубрик и регинов
  • Исправления и изменения, включённые в сборку 3.0.210118

В структуре шаблонов новой версии произошли незначительные изменения. Их можно отследить по diff файлу и внести изменения по инструкции.

Платные шаблоны для 3 версии с новой версией скрипта не совместимы. Шаблоны необходимо обновить. За обновлением шаблона обратитесь к автору шаблона.

Мажорное обновление платное, стоимость обновления с версии 3 - 500 рублей. Приобрести обновление можно здесь. Для некоторых участников форума доступ к обновлению открыт уже сейчас бесплатно.

_________________
До конца июля в отпуске


02 фев 2021, 18:51
Профиль

Зарегистрирован: 25 фев 2016, 18:46
Сообщения: 402

Спасибо, подожду когда оксана обновит шаблон и дальше уже от этого плясать и тестировать..


02 фев 2021, 19:03
Профиль

Зарегистрирован: 26 дек 2020, 14:27
Сообщения: 3

Устанавливаю новую версию,дальше этого не идет,версия php 7.4.14


У вас нет необходимых прав для просмотра вложений в этом сообщении.


02 фев 2021, 19:28
Профиль
Администратор
Аватара пользователя

Зарегистрирован: 20 сен 2010, 21:15
Сообщения: 2661
Аватара пользователя

Попробуйте это исправление


У вас нет необходимых прав для просмотра вложений в этом сообщении.

_________________
До конца июля в отпуске


02 фев 2021, 20:59
Профиль

Зарегистрирован: 26 дек 2020, 14:27
Сообщения: 3

Спасибо,фикс помог.


02 фев 2021, 21:08
Профиль

Зарегистрирован: 02 авг 2012, 21:31
Сообщения: 60

Здравствуйте.
Версию PHP обновил до 7.4, установил ionCube сейчас на сервере:
PHP 7.4.15 (cli) (built: Feb 2 2021 14:19:57) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
with the ionCube PHP Loader + ionCube24 v10.4.5, Copyright (c) 2002-2020, by ionCube Ltd.
with Zend OPcache v7.4.15, Copyright (c), by Zend Technologies

Почему то не обновляются файлы, на сервере они обновленные, но сайт отображается со старыми.

Ошибки:
phpmyadmin

Deprecation Notice in ./libraries/common.inc.php#261
Function get_magic_quotes_gpc() is deprecated
Backtrace
./db_structure.php#12: require_once(./libraries/common.inc.php)


Ошибка на странице сайта:

<b>Warning</b>: A non-numeric value encountered in <b>/home/admin/web/poiskportal.ru/public_html/includes/compile/core.php</b> on line <b>255</b><br />

Объявление подать не получится т.к. отсутствуют поля:
Выберите регион
Выберите рубрику
Выбор региона, тоже не работает.


04 фев 2021, 23:54
Профиль WWW
Администратор
Аватара пользователя

Зарегистрирован: 20 сен 2010, 21:15
Сообщения: 2661
Аватара пользователя

Изменения могут не проявиться сразу, если включен opcache
Отключите opcache в панели управления хостингом или, если не получится, пропишите в .htaccess
Код:
Для просмотра Вы должны быть в группе пользователей Elite-Board.

Если ошибка Warning не пропадёт, оставьте мне доступ по ftp под тегом private.

Ошибка в PHPmyadmin пропадёт, если обновите phpmyadmin или откатите PHP до 7.3 или отключите вывод ошибок уровня E_DEPRECATED

_________________
До конца июля в отпуске


05 фев 2021, 12:51
Профиль

Зарегистрирован: 12 апр 2020, 19:21
Сообщения: 18

Меня интересует только модуль авторизации новый. Есть возможность только его перенести на 3-тью версию? Если да, подскажите пожалуйста решение. Спасибо!


05 фев 2021, 15:36
Профиль

Зарегистрирован: 02 авг 2012, 21:31
Сообщения: 60

Geo писал(а):
Изменения могут не проявиться сразу, если включен opcache
Отключите opcache в панели управления хостингом или, если не получится, пропишите в .htaccess
Код:
Для просмотра Вы должны быть в группе пользователей Elite-Board.

Если ошибка Warning не пропадёт, оставьте мне доступ по ftp под тегом private.

Ошибка в PHPmyadmin пропадёт, если обновите phpmyadmin или откатите PHP до 7.3 или отключите вывод ошибок уровня E_DEPRECATED


Не помогло. Откатить на версию ниже PHP 7.4 это создавать сервер заново, это ............... как вспомню, так вздрогну, повышать без проблем.

Доступ в ftp:

Скрытая информация


05 фев 2021, 16:05
Профиль WWW

Зарегистрирован: 12 фев 2015, 00:12
Сообщения: 4

Здравствуйте, у меня шаблон торос на нескольких сайтах, хочу обновить до 4 версии но оксана написала что - Шаблон Toros до 4 версии обновляться не будет. Шаблон снят с продажи и техподдержка больше не оказывается.
Как мне быть? изменения то я и сам могу сделать но наверное ключ нужен будет для 4 версии


05 фев 2021, 17:32
Профиль
Показать сообщения за:  Поле сортировки  
Эта тема закрыта, вы не можете редактировать и оставлять сообщения в ней.   [ Сообщений: 77 ] 
Страница 1, 2, 3, 4, 5 ... 8  »

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения
Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
cron